<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtymis.mapper.TfYwpnPipeMapper">

      <resultMap id="tfYwpnPipeMap" type="com.tofly.xrtymis.entity.TfYwpnPipe">
            <id property="id" column="ID"/>
            <result property="sid" column="SID"/>
            <result property="startsid" column="STARTSID"/>
            <result property="startdepth" column="STARTDEPTH"/>
            <result property="startz" column="STARTZ"/>
            <result property="startctype" column="STARTCTYPE"/>
            <result property="endsid" column="ENDSID"/>
            <result property="enddepth" column="ENDDEPTH"/>
            <result property="endz" column="ENDZ"/>
            <result property="endctype" column="ENDCTYPE"/>
            <result property="material" column="MATERIAL"/>
            <result property="burytype" column="BURYTYPE"/>
            <result property="diameter" column="DIAMETER"/>
            <result property="thickness" column="THICKNESS"/>
            <result property="usestatus" column="USESTATUS"/>
            <result property="linecode" column="LINECODE"/>
            <result property="direction" column="DIRECTION"/>
            <result property="isantirot" column="ISANTIROT"/>
            <result property="antirotnote" column="ANTIROTNOTE"/>
            <result property="issecure" column="ISSECURE"/>
            <result property="ischeck" column="ISCHECK"/>
            <result property="drivematerial" column="DRIVEMATERIAL"/>
            <result property="surveyunit" column="SURVEYUNIT"/>
            <result property="ownerunit" column="OWNERUNIT"/>
            <result property="maintainedunit" column="MAINTAINEDUNIT"/>
            <result property="buryyear" column="BURYYEAR"/>
            <result property="surveydate" column="SURVEYDATE"/>
            <result property="indate" column="INDATE"/>
            <result property="installdate" column="INSTALLDATE"/>
            <result property="occupysurface" column="OCCUPYSURFACE"/>
            <result property="cauterystate" column="CAUTERYSTATE"/>
            <result property="laneway" column="LANEWAY"/>
            <result property="address" column="ADDRESS"/>
            <result property="areano" column="AREANO"/>
            <result property="district" column="DISTRICT"/>
            <result property="manufacturer" column="MANUFACTURER"/>
            <result property="backfilltype" column="BACKFILLTYPE"/>
            <result property="supplygasdate" column="SUPPLYGASDATE"/>
            <result property="roughness" column="ROUGHNESS"/>
            <result property="depthlocation" column="DEPTHLOCATION"/>
            <result property="pipelength" column="PIPELENGTH"/>
            <result property="createUser" column="CREATE_USER"/>
            <result property="createTime" column="CREATE_TIME"/>
            <result property="remark" column="REMARK"/>
            <result property="fileIds" column="FILE_IDS"/>
            <association property="createUserName" column="CREATE_USER" select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName" />
            <collection property="filePath" column="FILE_IDS" select="com.tofly.xrtymis.mapper.FileMapper.getFileByIds"/>
            <!--            <association property="createUserName"  column="CREATE_USER" select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName" ></association>-->
      </resultMap>

</mapper>
